import json
import argparse

from src import PrometheusServer


def start():
    parser = argparse.ArgumentParser(description="Run radio exporter")
    parser.add_argument(
        "-p",
        "--port",
        metavar="port",
        action="store",
        type=int,
        default=8888,
        help="Port for http server to listen on",
    )
    parser.add_argument(
        "-a",
        "--address",
        metavar="address",
        action="store",
        default="0.0.0.0",
        help="Address for http server to listen on",
    )
    args = parser.parse_args()

    server = PrometheusServer.PromServer((args.address, args.port))
    server.start()


if __name__ == "__main__":
    start()
